package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.base.Vehicle;
import com.dev.swms.server.model.inventory.Stock;

/**
 * 托盘管理
 * @author 44700
 *
 */
@Transactional(readOnly = true)
public interface StockManager extends BaseManager{
		//添加托盘
		@Transactional
		void saveStock(Stock stock);
			
		//删除托盘
		@Transactional
		void deleteStock(List<Long> ids);
		
		//失效
		@Transactional
		void StockInvalid(List<Long> ids);
			
		//恢复
		@Transactional
		void Stockrestore(List<Long> ids);
}
